Get a list of validators
curl --request GET \
--url https://api.rated.network/v1/eth/validators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/validators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/validators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/validators?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/validators?limit=10&offset=10",
"results": [
[
{
"activation_eligibility_epoch": 171000,
"activation_epoch": 169000,
"exit_epoch": 172000,
"validator_index": 1,
"validator_pubkey": "0xb44440543ceef8d77e065c70da15f7b731e56db5457571c465f025e032bbcd263a0990c8749b4ca6ff20d77004466666",
"withdrawable_epoch": 172256
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Overview
Get a list of validators
This endpoint returns an overview of all validators on the Beacon Chain with details on its activation, withdrawal and exit epochs.
GET
/
v1
/
eth
/
validators
Get a list of validators
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Query Parameters
The number of results returned per page
The number of results to skip before starting to return
The filter you want results to be sorted by
The sort order for the results
Available options:
asc, desc